Support » Plugin: Contact Form 7 Integrations » TGM conflict

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author ContactUs.com

    (@contactuscom)

    Hey there,

    Thank you for taking the time to report this, we really appreciate it and we’ll take it in consideration for future updates.

    Is this found only in the CF7 Integrations plugin or are there other plugins affected?

    Thanks again for your help.

    Regards,

    Support
    ContactUs.com

    The conflict will occur always with all WP plugins bundled with TGM version 2.3.6 or older in the following scenario:
    – WordPress has already a theme or plugin activated which is using newer version of TGM.
    – whenever you try to activate your plugin – WordPress refuses such action and throws a TGM error.
    Error would be caused because your plugin is using TGM version “2.3.6”, which is old and TGM website explains that in their FAQ.

    Workaround:
    1. disable all other themes/plugins which are using newer TGM
    2. activate CF7 Integrations
    3. re-activate the other theme/plugin

    This will allow to activate and use everything needed.
    Otherwise CF7 Integrations cannot be activated.

    Plugin Author ContactUs.com

    (@contactuscom)

    Hi there,

    Thanks again for taking the time to share this with us. We’ll definitely pass on the information to Development so they can use it for better updates in the future.

    We’ll also use this as workaround while we solve the issue with the old TGM in our plugins.

    Thanks again for your help, we really appreciate it.

    Regards,

    Support
    ContactUs.com

    Hey, looks like the issue has been worked on and resolved: http://www.contactus.com/third-party-integrations/2-new-updates-for-favorite-wp-plugins/

    TGM_Plugin_Activation” class has been upgraded.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘TGM conflict’ is closed to new replies.